---
title: "GetHeatmapData"
url: https://docs.gleap.ai/en/reference/rest-api/get-heatmap-data
method: GET
path: "/statistics/heatmap"
api: "API Reference"
tag: "Statistics"
operationId: "GetHeatmapData"
updatedAt: "2026-11-01T18:40:15.677Z"
language: en
---

# GetHeatmapData

`GET https://api.gleap.io/v3/statistics/heatmap`

Get heatmap data for activity patterns

## Authorization

- `Authorization` (header, required): `Bearer <token>`

## Query parameters

- `chartType` (enum<string>, required): -   Type of heatmap data (BUSIEST\_HOURS\_PER\_WEEKDAY, BUSIEST\_COMMENTS\_PER\_WEEKDAY) One of: `BUSIEST_HOURS_PER_WEEKDAY`, `BUSIEST_COMMENTS_PER_WEEKDAY`, `CALLS_BY_HOUR`.
- `timezone` (string): -   Timezone for date calculations
- `groupInterval` (enum<string>): One of: `hour`, `day`, `month`, `year`.
- `skip` (number<double>)
- `limit` (number<double>)
- `groupedBy` (string)
- `aggsType` (string)
- `startDate` (string): -   Start date for filtering (ISO format)
- `endDate` (string): -   End date for filtering (ISO format)
- `createdAt` (string)
- `updatedAt` (string)

## Example request

```bash
curl --request GET \
  --url 'https://api.gleap.io/v3/statistics/heatmap?chartType=BUSIEST_HOURS_PER_WEEKDAY' \
  --header 'Authorization: Bearer <token>'
```

## Responses

### 200 (`application/json`)

Ok

### 403 (`application/json`)

Report locked

- `code` (enum<string>, required): One of: `REPORT_LOCKED`.
- `reason` (enum<string>, required): One of: `colleague_performance`, `review_scores`, `reviews`, `help_center`, `ai_cost`, `export`, `board_access`.

```json
{
  "code": "REPORT_LOCKED",
  "reason": "colleague_performance"
}
```
